org.apache.cassandra.index.sasi.analyzer

## Class AbstractAnalyzer

- java.lang.Object
- - org.apache.cassandra.index.sasi.analyzer.AbstractAnalyzer

All Implemented Interfaces:
  java.util.Iterator<java.nio.ByteBuffer>

Direct Known Subclasses:
  NonTokenizingAnalyzer, NoOpAnalyzer, StandardAnalyzer

    public abstract class AbstractAnalyzer
    extends java.lang.Object
    implements java.util.Iterator<java.nio.ByteBuffer>

### Field Summary

Fields
`protected java.nio.ByteBuffer` `next`

### Constructor Summary

Constructors
Constructor and Description
`AbstractAnalyzer()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `init(java.util.Map<java.lang.String,java.lang.String> options, AbstractType validator)`
`boolean` `isTokenizing()`
`java.nio.ByteBuffer` `next()`
`static java.lang.String` `normalize(java.lang.String original)`
`void` `remove()`
`abstract void` `reset(java.nio.ByteBuffer input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext`

### Field Detail

#### next

    protected java.nio.ByteBuffer next

### Constructor Detail

#### AbstractAnalyzer

    public AbstractAnalyzer()

### Method Detail

#### next

    public java.nio.ByteBuffer next()

Specified by:
  `next` in interface `java.util.Iterator<java.nio.ByteBuffer>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator<java.nio.ByteBuffer>`

#### init

    public abstract void init(java.util.Map<java.lang.String,java.lang.String> options,
                              AbstractType validator)

#### reset

    public abstract void reset(java.nio.ByteBuffer input)

#### isTokenizing

    public boolean isTokenizing()

Returns:
  true if current analyzer provides text tokenization, false otherwise.

#### normalize

    public static java.lang.String normalize(java.lang.String original)